﻿using System;
using System.Windows.Forms;
using HeuristicLab.Analysis;
using HeuristicLab.Analysis.Views;

namespace HistogramViewTest {
  public partial class Form1 : Form {
    private DataTableView view;

    public Form1() {
      InitializeComponent();
      view = new DataTableView();
      DataTable hist = new DataTable("TestTable");
      DataRow row = new DataRow("Test");
      row.VisualProperties.ChartType = DataRowVisualProperties.DataRowChartType.Histogram;
      Random rand = new Random();
      for (int index = 1; index < 100; index++) {
        row.Values.Add(rand.Next(1, 1000));
      }
      hist.Rows.Add(row);
      view.Content = hist;
      view.Dock = DockStyle.Fill;
      Controls.Add(view);
    }
  }
}
